start = parameters

element parameters {
  element data {
    attribute name { "mode" },
    attribute index { "1" },
    attribute type { "5" },
    attribute value { xsd:unsignedInt },
    attribute valueName { xsd:string },
    element enum {
      element value {
        attribute value { "0" }, attribute name { "independant" }
      },
      element value {
        attribute value { "1" }, attribute name { "singlemaster" }
      },
      element value {
        attribute value { "2" }, attribute name { "master" }
      }
    }
  },
  element data {
    attribute name { "configuration" },
    attribute index { "2" },
    element data { # multiplicity: 0 in "independant", 1 in "singlemaster", * in "master" mode
      attribute name { "master" },
      channelInfo,
      element data { # only in "master" mode
        attribute name { "slave" },
        channelInfo
      } *
    } *
  }
}

channelInfo = (
  element data {
    attribute name { "sn" },
    attribute index { "0" },
    attribute type { "3" },
    attribute value { xsd:string }
  },
  element data {
    attribute name { "channel" },
    attribute index { "1" },
    attribute type { "11" },
    attribute value { xsd:unsignedInt }
  })
